package cn.com.countrygarden.bi.main.dao.twerp.hm;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbDesktop经营主题;

import java.util.List;
import java.util.Map;

public interface TbDesktop经营主题Mapper extends Mapper<TbDesktop经营主题> {
    TbDesktop经营主题 findByUserSysOrgan(Map<String, String> param);

    TbDesktop经营主题 sumHomeMainIncomeByUserCode(String userCode);
    TbDesktop经营主题 sumHomeMainIncomeByUserCodeAndOrganCode(Map<String, String> param);
    TbDesktop经营主题 sumHomeMainIncomeByUserCodeAndOrganCodeAndCommID(Map<String, String> param);

    List<TbDesktop经营主题> rankingChargeRate(String userCode);
    List<TbDesktop经营主题> rankingChargeRate(Map<String, String> param);

    List<TbDesktop经营主题> rankingChaseRate(String userCode);
    List<TbDesktop经营主题> rankingChaseRate(Map<String, String> param);
}